<!--操作者工号-->
<template>
  <div class="app-container">
    <el-card class="topCard">
      用于显示放在主页上的数据，如：返修原因，返修工位，确认人，等返修基本数据
      同时可以在这个模块主动选择哪个返修工件来显示数据
      数据交互想着直接ref可能比较困难还是得用vuex
      跳转模块不知道能不能实现
    </el-card>
  </div>
</template>
<script>
export default {
  data() {
    return {

    }
  },
  created() {

  },
  mounted() {
  },
  methods: {
    // 表格颜色变化
    tableRowClassName({ row, rowIndex }) {
      // console.log(row, rowIndex)
      if (rowIndex % 2 === 0) {
        return 'black'
      } else {
        return 'red'
      }
    }
  }
}
</script>

<style scoped>
.topCard {
  margin: 5px;
}

.topDiv {
  margin-bottom: 10px;
}

.el-select {
  width: 200px
}

.el-input {
  width: 200px
}

.text {
  font-size: 14px;
}

.item {
  padding: 18px 0;
}

.box-card {
  position: absolute;
  right: 6px;
  top: 80px;
  width: 300px;
}

.el-table .warning-row {
  background: oldlace;
}

.el-table .success-row {
  background: #f0f9eb;
}
</style>

